{"openapi":"3.0.1","info":{"title":"1462.sfcs-consulting-s-rest-v1","description":"2.270 Сервисы для подачи заявок Консалтинг ВЭД","contact":{"name":"Новикова Анна Константиновна","url":"https://wiki.corp.dev.vtb/pages/viewpage.action?pageId=100698672","email":"aknovikova@vtb.ru"},"version":"1.28.0"},"servers":[{"url":"/api/v1/sfcs-consulting"},{"url":"/ui-api-web/smb/ved/sfcs/v1"}],"tags":[{"name":"Export PDF","description":"Клиентский АПИ. ВК АПИ. Экспорт в pdf"},{"name":"GoodsDeclaration Operator","description":"Операторский АПИ. Операции с Таможенными декларациями"},{"name":"GreenLight Operator Contract","description":"ВК АПИ. Операции с заявками типа GreenLight"},{"name":"Signature","description":"Клиентский АПИ. Подписание заявки"},{"name":"Monitor","description":"Клиентский АПИ. Операции с конфигурацией услуги Монитор в клиентском UI"},{"name":"Countries","description":"Клиентский АПИ. Операции со странами"},{"name":"Counterparty","description":"Клиентский АПИ. Операции контрагентами"},{"name":"SOS VED","description":"Клиентский АПИ. Сервис СОС ВЭД"},{"name":"Employee","description":"ВК АПИ. Операции с контроллерами"},{"name":"Reports","description":"Клиентский АПИ. Операции с примерами отчетов о нарушениях ВЗ"},{"name":"Confidant","description":"Клиентский АПИ. Операции с контактными лицами"},{"name":"Subo types","description":"Клиентский АПИ. Операции со списком услуг СУБО"},{"name":"Eds Message Signature","description":"Клиентский АПИ. Подписание сообщения с помощью УНЭП"},{"name":"Sos Ved Operator","description":"Операторский АПИ. Операции с заявками типа SOS ВЭД"},{"name":"Operator News","description":"АПИ ЛК ВК. Работа с сущностью Новость"},{"name":"Deal","description":"Клиентский АПИ, получение данных из СУБО Структурированные Сделки"},{"name":"Subscription Validation","description":"Клиентский АПИ. Проверки для подписок"},{"name":"Currency Controller Feed","description":"ВК АПИ. Лента операций"},{"name":"Permanent file storage","description":"Клиентский АПИ. Операции с файлами"},{"name":"Test permission integrations","description":"Тестовый АПИ для проверки мобильного приложения. Не использовать в проде"},{"name":"Currency Controller Contract","description":"ВК АПИ. Операции с заявками"},{"name":"Supporting Documents Evidence","description":"Клиентский АПИ. Детали СПД"},{"name":"Currency Transaction Info","description":"Клиентский АПИ. Операции с СВО"},{"name":"Message signature","description":"Клиентский АПИ. Подписание сообщения"},{"name":"Sos Ved Client Contract","description":"Клиентский АПИ. Операции с заявками типа SOS ВЭД в клиентском UI"},{"name":"Monitor signature","description":"Клиентский АПИ. Подписание конфигурации монитора"},{"name":"Client Monitor VED report","description":"Клиентский АПИ. Операции с отчетом Монитор ВЭД"},{"name":"ClientFileTransferApi","description":"Клиентский АПИ, все методы для работы с файлами: загрузка в систему, скачивание, получение, удаление"},{"name":"Permanent file storage for operator","description":"ВК АПИ. Операции с файлами"},{"name":"Expertise Operator Contract","description":"ВК АПИ. Операции с заявками типа Експертиза 2.0"},{"name":"Currency Transaction Info for CC: contract info","description":"ВК АПИ. Получение списка заявок для СВО"},{"name":"Test integrations","description":"Тестовый АПИ для проверки интеграций"},{"name":"Currency Controller Monitoring report","description":"ВК АПИ. Операции с отчетом о нарушениях ВЗ"},{"name":"Contract","description":"Клиентский АПИ. Операции с заявками в клиентском UI"},{"name":"Admin migration service","description":"Админ АПИ. Сервис миграций"},{"name":"Dictionary Operator","description":"ВК АПИ. Словари ВК"},{"name":"Access","description":"Клиентский АПИ. ДПОС. Проверка доступа клиента"},{"name":"Message history","description":"API для истории переписки (и клиент, и ВК)"},{"name":"Eds Monitor Signature","description":"Клиентский АПИ. Подписание конфигурации Монитора с помощью УНЭП"},{"name":"Expertise Client Contract","description":"Клиентский АПИ. Операции с заявками типа Expertise в клиентском UI"},{"name":"Goods Declaration","description":"Клиентский АПИ. Таможенные декларации"},{"name":"Eds Contract Signature","description":"Клиентский АПИ. Подписание заявки с помощью УНЭП"},{"name":"Currency Transaction Info for CC","description":"ВК АПИ. Операции с СВО"},{"name":"Warm up balance","description":"Ручной прогрев соединения с УИП для получения остатков"},{"name":"Terms of service","description":"АПИ для работы с офертой"},{"name":"Green Light Client Contract","description":"Клиентский АПИ. Операции с заявками типа GreenLight в клиентском UI"},{"name":"Dictionary","description":"Клиентский АПИ. Операции со словарями"}],"paths":{"/sfcs_consulting_cc/news/{id}":{"get":{"tags":["Operator News"],"summary":"Получение информации о новости","description":"get News By Id","operationId":"getNewsById","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Operator News"],"summary":"Редактирование новости","description":"update News","operationId":"updateNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDto"}}},"required":true},"responses":{"200":{"description":"News has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/news/{id}/unlock":{"put":{"tags":["Operator News"],"summary":"Убрать у новости признак что в настоящий момент она редактируется","description":"unlock News","operationId":"unlockNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News has been locked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/news/{id}/lock":{"put":{"tags":["Operator News"],"summary":"Проставить новости признак что в настоящий момент она редактируется","description":"create News","operationId":"lockNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News has been locked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/news/{id}/action/sent":{"put":{"tags":["Operator News"],"summary":"Кнопка Отправить","description":"send News","operationId":"sendNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News has been sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/news/{id}/action/revoke":{"put":{"tags":["Operator News"],"summary":"Кнопка Отозвать","description":"revoke News","operationId":"revokeNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News has been revoked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/news/{id}/action/delete":{"put":{"tags":["Operator News"],"summary":"Кнопка Удалить","description":"delete News","operationId":"deleteNews","parameters":[{"name":"id","in":"path","description":"id новости","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"News has been deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/action/reject":{"put":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"Отказ СПД\" в ЛК ВК","description":"Меняет у ДТ статус на REJECTED","operationId":"reject","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"GD updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/action/process":{"put":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"Назначить\" и \"Взять в работу\" в ЛК ВК","description":"Привязывает переданного сотрудника к ДТ, меняет у ДТ статус на IN_WORK","operationId":"processGd","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"GD updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/action/info":{"put":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"Запросить информацию\" в ЛК ВК","description":"Меняет у ДТ статус на INFO_NEEDED","operationId":"requestInfo","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"GD updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/action/execute/not-required":{"put":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"СПД не требуется\" для перевода в статус \"СПД не требуется\" в ЛК ВК","description":"Меняет у ДТ статус на NOT_REQUIRED","operationId":"executeNotRequired","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"GD updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/action/execute/done-by-client":{"put":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"СПД не требуется\" для перевода в статус \"СПД оформлена клиентом\" в ЛК ВК","description":"Меняет у ДТ статус на DONE_BY_CLIENT","operationId":"executeWithDoneByClient","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"GD updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}":{"get":{"tags":["Currency Transaction Info for CC"],"summary":"Получение информации о СВО по id.","description":"Retrieve CTI by id","operationId":"getCtiByIdOperator","parameters":[{"name":"id","in":"path","description":"id of cti to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"CTI is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Изменение СВО","description":"Update CTI","operationId":"updateCtiOperator","parameters":[{"name":"id","in":"path","description":"id of cti to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoRequest"}}},"required":true},"responses":{"200":{"description":"CTI is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}/action/reject":{"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Обработка кнопки Отказать","description":"Reject CTI","operationId":"rejectCtiOperator","parameters":[{"name":"id","in":"path","description":"id of CTI to be rejected","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"CTI is rejected","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}/action/process":{"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Обработка кнопки Взять в работу","description":"Start work on the CTI.","operationId":"processCtiOperator","parameters":[{"name":"id","in":"path","description":"id of CTI to be processed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"CTI is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}/action/info":{"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Обработка кнопки Запрос информации","description":"Request additional info for the CTI","operationId":"requestInfoInCtiOperator","parameters":[{"name":"id","in":"path","description":"id of cti to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"CTI is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}/action/execute":{"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Обработка кнопки Принять","description":"Execute CTI","operationId":"executeCtiOperator","parameters":[{"name":"id","in":"path","description":"id of CTI to be executed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/{id}/action/accept-without-transfer":{"put":{"tags":["Currency Transaction Info for CC"],"summary":"СВО. Обработка кнопки Принять без перевода","description":"Accept CTI without transfer","operationId":"acceptCtiWithoutTransferOperator","parameters":[{"name":"id","in":"path","description":"id of cti to accept without transfer","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"CTI is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyTransactionInfoDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}/action/reject":{"put":{"tags":["Currency Controller Contract"],"summary":"Обработка кнопки Отказать","description":"Reject Contract.","operationId":"rejectContractOperator","parameters":[{"name":"id","in":"path","description":"id of contract to be rejected","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}/action/process":{"put":{"tags":["Currency Controller Contract"],"summary":"Обработка кнопки Взять в работу","description":"Start work on the Contract.","operationId":"processContractOperator","parameters":[{"name":"id","in":"path","description":"id of contract to be processed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}/action/info":{"put":{"tags":["Currency Controller Contract"],"summary":"Обработка кнопки Запрос информации","description":"Request additional info for the Contract","operationId":"requestInfoInContractOperator","parameters":[{"name":"id","in":"path","description":"id of contract to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}/action/execute":{"put":{"tags":["Currency Controller Contract"],"summary":"Обработка кнопки Исполнить","description":"Execute contract","operationId":"executeContractOperator","parameters":[{"name":"id","in":"path","description":"id of contract to be executed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecuteRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}/action/charge-commission":{"put":{"tags":["Currency Controller Contract"],"summary":"Обработка кнопки Списать комиссию","description":"Charge commission","operationId":"chargeCommissionOperator","parameters":[{"name":"id","in":"path","description":"id of contract to charge commission","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Request to charge commission was sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/sos-ved/{id}/action/reject":{"put":{"tags":["Sos Ved Operator"],"summary":"Кнопки Отказать","description":"Reject Contract","operationId":"rejectContractOperator_1","parameters":[{"name":"id","in":"path","description":"id of contract to be rejected","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperatorSosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/sos-ved/{id}/action/process":{"put":{"tags":["Sos Ved Operator"],"summary":"Кнопки \"Назначить ВК\" и \"Взять в работу\"","operationId":"process","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"Sos Ved Contract updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperatorSosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/sos-ved/{id}/action/info":{"put":{"tags":["Sos Ved Operator"],"summary":"Кнопки Запрос информации","description":"Request additional info for the Contract","operationId":"requestInfoInContractOperator_1","parameters":[{"name":"id","in":"path","description":"id of contract to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperatorSosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/sos-ved/{id}/action/execute":{"put":{"tags":["Sos Ved Operator"],"summary":"Кнопка Исполнить","description":"Execute contract","operationId":"executeContractOperator_1","parameters":[{"name":"id","in":"path","description":"id of contract to be executed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecuteRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperatorSosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/green-light/{id}/action/reject":{"put":{"tags":["GreenLight Operator Contract"],"summary":"Обработка кнопки Отказать","description":"Reject Contract.","operationId":"rejectContractOperator_2","parameters":[{"name":"id","in":"path","description":"id of contract to be rejected","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/green-light/{id}/action/process":{"put":{"tags":["GreenLight Operator Contract"],"summary":"Обработка кнопки Взять в работу","description":"Start work on the Contract.","operationId":"processContractOperator_1","parameters":[{"name":"id","in":"path","description":"id of contract to be processed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/green-light/{id}/action/info":{"put":{"tags":["GreenLight Operator Contract"],"summary":"Обработка кнопки Запрос информации","description":"Request additional info for the Contract","operationId":"requestInfoInContractOperator_2","parameters":[{"name":"id","in":"path","description":"id of contract to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/green-light/{id}/action/execute":{"put":{"tags":["GreenLight Operator Contract"],"summary":"Обработка кнопки Исполнить","description":"Execute contract","operationId":"executeContractOperator_2","parameters":[{"name":"id","in":"path","description":"id of contract to be executed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightExecuteRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/expertise/{id}/action/reject":{"put":{"tags":["Expertise Operator Contract"],"summary":"Обработка кнопки Отказать","description":"Reject Contract.","operationId":"rejectContractOperator_3","parameters":[{"name":"id","in":"path","description":"id of contract to be rejected","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/expertise/{id}/action/process":{"put":{"tags":["Expertise Operator Contract"],"summary":"Обработка кнопки Взять в работу","description":"Start work on the Contract.","operationId":"processContractOperator_2","parameters":[{"name":"id","in":"path","description":"id of contract to be processed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/expertise/{id}/action/info":{"put":{"tags":["Expertise Operator Contract"],"summary":"Обработка кнопки Запрос информации","description":"Request additional info for the Contract","operationId":"requestInfoInContractOperator_3","parameters":[{"name":"id","in":"path","description":"id of contract to request info","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/expertise/{id}/action/execute":{"put":{"tags":["Expertise Operator Contract"],"summary":"Обработка кнопки Исполнить","description":"Execute contract","operationId":"executeContractOperator_3","parameters":[{"name":"id","in":"path","description":"id of contract to be executed","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecuteRequestDto"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/contract/{id}":{"get":{"tags":["Contract"],"summary":"Получение информации о деталях заявки по id.","description":"Retrieve contract by contractId","operationId":"getContractByContractId","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Contract"],"summary":"Обработчик кнопки Сохранить. Обновление заявки","description":"Update Contract","operationId":"updateContract","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoIn"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/{id}/action/delete":{"put":{"tags":["Contract"],"summary":"Удаление заявки. Перевод в соответствующий статус","description":"Delete the contract","operationId":"delete","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/{id}/action/cancel":{"put":{"tags":["Contract"],"summary":"Отмена заявки. Перевод в соответствующий статус","description":"Cancel the contract","operationId":"cancel","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is canceled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/sos-ved/{id}":{"get":{"tags":["Sos Ved Client Contract"],"summary":"Получение информации о деталях заявки типа SOS ВЭД по id.","description":"Retrieve SOS Ved contract by contractId","operationId":"getContractSosVedByContractId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Sos Ved Client Contract"],"summary":"Обработчик кнопки Сохранить. Обновление заявки типа SOS ВЭД","description":"Update Contract","operationId":"updateContract_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoIn"}}},"required":true},"responses":{"201":{"description":"Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/sos-ved/{id}/action/delete":{"put":{"tags":["Sos Ved Client Contract"],"summary":"Удаление заявки типа SOS ВЭД. Перевод в соответствующий статус","description":"Delete SOS Ved contract","operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/green-light/{id}":{"get":{"tags":["Green Light Client Contract"],"summary":"Получение информации о деталях заявки по id.","description":"Retrieve contract by contractId","operationId":"getGreenLightContractByContractId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Green Light Client Contract"],"summary":"Обработчик кнопки Сохранить. Обновление заявки","description":"Update Contract","operationId":"updateContract_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoIn"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/green-light/{id}/action/delete":{"put":{"tags":["Green Light Client Contract"],"summary":"Удаление заявки. Перевод в соответствующий статус","description":"Delete the contract","operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/green-light/{id}/action/cancel":{"put":{"tags":["Green Light Client Contract"],"summary":"Отмена заявки. Перевод в соответствующий статус","description":"Cancel the contract","operationId":"cancel_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is canceled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/expertise/{id}":{"get":{"tags":["Expertise Client Contract"],"summary":"Получение информации о деталях заявки по id.","description":"Retrieve contract by contractId","operationId":"getExpertiseContractByContractId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Expertise Client Contract"],"summary":"Обработчик кнопки Сохранить. Обновление заявки","description":"Update Contract","operationId":"updateExpertiseContract","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoRequest"}}},"required":true},"responses":{"200":{"description":"Contract is updated","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/expertise/{id}/action/delete":{"put":{"tags":["Expertise Client Contract"],"summary":"Удаление заявки. Перевод в соответствующий статус","description":"Delete the contract","operationId":"deleteExpertise","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/expertise/{id}/action/cancel":{"put":{"tags":["Expertise Client Contract"],"summary":"Отмена заявки. Перевод в соответствующий статус","description":"Cancel the contract","operationId":"cancelExpertise","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Contract is canceled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/sfcs_consulting_cc/news":{"post":{"tags":["Operator News"],"summary":"Создание новости","description":"create News","operationId":"createNews","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDto"}}},"required":true},"responses":{"200":{"description":"News has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/monitoring/report":{"post":{"tags":["Currency Controller Monitoring report"],"summary":"Отправить отчет о нарушениях ВЗ","description":"Submit monitoring report","operationId":"addMonitoringReport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringReportRequestDto"}}},"required":true},"responses":{"200":{"description":"Monitoring report is published","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UuidDto"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}/sde/create":{"post":{"tags":["GoodsDeclaration Operator"],"summary":"Кнопка \"Оформить СПД\" в ЛК ВК","description":"Создает в базе объект СПД , привязывает к переданному идентификатору ДТ","operationId":"createSde","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SdeBaseDto"}}},"required":true},"responses":{"201":{"description":"SDE created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/file":{"post":{"tags":["Permanent file storage for operator"],"summary":"Загрузить файл","description":"Upload a file","operationId":"createFile","requestBody":{"content":{"multipart/form-data":{"schema":{"maxLength":2147483646,"type":"object","additionalProperties":false,"description":"Контент файла"}}}},"responses":{"201":{"description":"File is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDto"}}}},"400":{"description":"Unsupported file extension","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"413":{"description":"File is too large","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/{parentType}/reply/verify":{"post":{"tags":["Message signature"],"summary":"Подписание ответа на запрос информации. Проверка введенного кода из смс","description":"Verify sms code for signing on reply and create message, update object","operationId":"verifyOnReply","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","gd"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageVerifyRequestDto"}}},"required":true},"responses":{"200":{"description":"Code is valid. Message is created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Signature verification error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/{parentType}/reply/sign":{"post":{"tags":["Message signature"],"summary":"Подписание ответа на запрос информации. Получение введенного кода.","description":"Validate, sign the object on reply and send sms","operationId":"signOnReply","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","gd"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageSignRequestDto"}}},"required":true},"responses":{"200":{"description":"Object is signed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseVerifyDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/{parentType}/reply/sign-eds":{"post":{"tags":["Eds Message Signature"],"summary":"Подписание ответа на запрос информации. Получение объекта подписания для передачи в Сигнал-ком","description":"Validate, get and save signing object","operationId":"edsSignOnReply","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","gd"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageSignRequestDto"}}},"required":true},"responses":{"200":{"description":"Success get signing object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsSignOutDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/{parentType}/reply/eds-verify":{"post":{"tags":["Eds Message Signature"],"summary":"Подписание ответа на запрос информации.Проверка подписи из Сигнал-ком","description":"Verify signature, send signature to ECM, update contract","operationId":"edsVerifyOnReply","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","gd"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageEdsVerifyInDto"}}},"required":true},"responses":{"200":{"description":"Signature is valid. Message is created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Invalid signature or certificate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/s3/put-content":{"post":{"tags":["Test integrations"],"operationId":"putContentToS3","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"url":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK"}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/s3/get-content/{fileNameWithExtension}":{"post":{"tags":["Test integrations"],"operationId":"getContentFromS3","parameters":[{"name":"fileNameWithExtension","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"multipart/form-data":{"schema":{"type":"string","format":"binary"}}}}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/offer/create":{"post":{"tags":["Test integrations"],"operationId":"createTermsOffer","parameters":[{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OfferDto"}}}}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/mkc":{"post":{"tags":["Test integrations"],"operationId":"getMkcData","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MkcRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MkcResponseDto"}}}}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/file/transfer/get-file-transfer-upload-context":{"post":{"tags":["Test integrations"],"operationId":"getFileTransferUploadContext","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileTransferContextRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FileTransferContextResponse"}}}}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/file-transfer/update":{"post":{"tags":["Test integrations"],"operationId":"fileTransferUpdate","parameters":[{"name":"processId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"requestId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"fileTransferId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["UNKNOWN","VERIFIED","VERIFICATION_FAILED"]}}],"responses":{"200":{"description":"OK"}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/esign-validate":{"post":{"tags":["Test integrations"],"operationId":"esignValidate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EsignValidate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ESignClientValidateResponse"}}}}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/assistant/gd/create":{"post":{"tags":["Test integrations"],"operationId":"handleAssistantGdResponse","parameters":[{"name":"externalId","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateLoad","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"bnbefore","in":"query","required":true,"schema":{"type":"string"}},{"name":"bnafter","in":"query","required":false,"schema":{"type":"string"}},{"name":"direction","in":"query","required":true,"schema":{"type":"string","enum":["ЭК","ИМ"]}},{"name":"prspd","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/verify":{"post":{"tags":["Monitor signature"],"summary":"Подписание конфигурации монитора. Проверка введенного кода из смс","description":"Verify sms code for signing monitor, save monitor","operationId":"verifyMonitor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseVerifyDto"}}},"required":true},"responses":{"200":{"description":"Code is valid. Monitor is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorConfigurationDtoOut"}}}},"403":{"description":"Signature verification error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/verify-eds":{"post":{"tags":["Eds Monitor Signature"],"summary":"Подписание конфигурации Монитора. Проверка подписи из Сигнал-ком","description":"Verify signature, send signature to ECM, save monitor","operationId":"edsVerifyMonitor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsVerifyInDto"}}},"required":true},"responses":{"200":{"description":"Signature is valid. Monitor is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorConfigurationDtoOut"}}}},"403":{"description":"Invalid signature or certificate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/sign":{"post":{"tags":["Monitor signature"],"summary":"Подписание конфигурации монитора. Получение введенного кода.","description":"Validate, sign the monitor and send sms","operationId":"signMonitor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorConfigurationDtoIn"}}},"required":true},"responses":{"200":{"description":"Object is signed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseVerifyDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/sign-eds":{"post":{"tags":["Eds Monitor Signature"],"summary":"Подписание конфигурации Монитора. Получение объекта подписания для передачи в Сигнал-ком","description":"Validate, get and save signing object","operationId":"edsSignMonitor","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitorConfigurationDtoIn"}}},"required":true},"responses":{"200":{"description":"Success get signing object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsSignOutDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/disable":{"post":{"tags":["Monitor signature"],"summary":"Подписание отключение конфигурации монитора. Получение введенного кода.","description":"Validate, sign the monitor disabling and send sms","operationId":"signDisablingMonitor","responses":{"200":{"description":"SMS is sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseVerifyDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/monitor/disable-eds":{"post":{"tags":["Eds Monitor Signature"],"summary":"Подписание отключение конфигурации Монитора. Получение объекта подписания для передачи в Сигнал-ком","description":"Validate, get and save signing of disabling object","operationId":"edsSignMonitorDisabling","responses":{"200":{"description":"Success get signing object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsSignOutDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/file/upload/request":{"post":{"tags":["ClientFileTransferApi"],"summary":"Создание контекста загрузки файла","description":"upload file request","operationId":"uploadFileRequest","parameters":[{"name":"processId","in":"query","description":"Уникальный идентификатор процесса скачивания","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileUploadRequestDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileTransferContextDto"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/file/upload/confirm":{"post":{"tags":["ClientFileTransferApi"],"summary":"Подтверждение загрузки файла","description":"confirm upload file request","operationId":"confirmUploadRequest","parameters":[{"name":"processId","in":"query","description":"Уникальный идентификатор процесса скачивания","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"OK"},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/file/download/confirm":{"post":{"tags":["ClientFileTransferApi"],"summary":"Подтверждение скачивания файла","description":"confirm upload file request","operationId":"confirmDownloadRequest","parameters":[{"name":"processId","in":"query","description":"Уникальный идентификатор процесса скачивания","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"OK"},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/dictionary/balance":{"post":{"tags":["Dictionary"],"summary":"Получение остатков на счетах","description":"Get balance for accounts","operationId":"getBalance","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountListDto"}}},"required":true},"responses":{"200":{"description":"Dictionary is found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountDto"}}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract":{"post":{"tags":["Contract"],"summary":"Создание заявки","description":"Create a contract","operationId":"createContract","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoIn"}}},"required":true},"responses":{"201":{"description":"Contract is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Conflict, when entity has been already created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/{id}/action/retry":{"post":{"tags":["Contract"],"summary":"Обработчик кнопки Повторить","description":"Retry a contract, button \"Повторить\"","operationId":"retryContract","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"201":{"description":"Contract is retried","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/sos-ved":{"post":{"tags":["Sos Ved Client Contract"],"summary":"Создание заявки типа SOS ВЭД","description":"Create a contract","operationId":"createContract_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoIn"}}},"required":true},"responses":{"201":{"description":"Contract is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SosVedContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Conflict, when entity has been already created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/send/verify":{"post":{"tags":["Signature"],"summary":"Подписание заявки. Проверка введенного кода из СМС","description":"Verify sms code for signing and update contract","operationId":"verify","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractIdVerifyDto"}}},"required":true},"responses":{"200":{"description":"Code is valid. Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Signature verification error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/send/verify-eds":{"post":{"tags":["Eds Contract Signature"],"summary":"Подписание заявки. Проверка подписи из Сигнал-ком","description":"Verify signature, send signature to ECM, update contract","operationId":"edsVerify","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsVerifyInDto"}}},"required":true},"responses":{"200":{"description":"Signature is valid. Contract is updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Invalid signature or certificate","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/send/sign/{contractId}":{"post":{"tags":["Signature"],"summary":"Подписание заявки. Получение СМС кода","description":"Validate, sign the contract and send sms","operationId":"signContract","parameters":[{"name":"contractId","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is signed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractIdVerifyDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/send/sign-eds/{contractId}":{"post":{"tags":["Eds Contract Signature"],"summary":"Подписание заявки. Получение объекта подписания для передачи в Сигнал-ком","description":"Validate, get and save signing object","operationId":"edsSignContract","parameters":[{"name":"contractId","in":"path","description":"Идентификатор заявки","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success get signing object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsSignOutDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/revoke/verify":{"post":{"tags":["Signature"],"summary":"Подписание отзыва. Проверка введенного кода из смс","description":"Verify sms code for signing and revoke contract","operationId":"verify_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractIdVerifyDto"}}},"required":true},"responses":{"200":{"description":"Code is valid. Contract is revoked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Signature verification error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/revoke/verify-eds":{"post":{"tags":["Eds Contract Signature"],"summary":"Подписание отзыва. Проверка подписи из Сигнал-ком","description":"Verify signature, send signature to ECM, update contract","operationId":"edsVerifyRevoke","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsVerifyInDto"}}},"required":true},"responses":{"200":{"description":"Signature is valid. Contract is revoked","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}}},"403":{"description":"Signature verification error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/revoke/sign/{contractId}":{"post":{"tags":["Signature"],"summary":"Подписание отзыва заявки. Получение СМС","description":"Validate, sign revoke of the contract and send sms","operationId":"signRevoke","parameters":[{"name":"contractId","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseVerifyDto"}}},"required":true},"responses":{"200":{"description":"Sms code is sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractIdVerifyDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/revoke/sign-eds/{contractId}":{"post":{"tags":["Eds Contract Signature"],"summary":"Подписание отзыва заявки. Получение объекта подписания для передачи в Сигнал-ком","description":"Validate revoke, get and save signing object","operationId":"edsSignRevoke","parameters":[{"name":"contractId","in":"path","description":"Идентификатор заявки","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success get signing object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdsSignOutDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/green-light":{"post":{"tags":["Green Light Client Contract"],"summary":"Создание заявки","description":"Create a contract","operationId":"createContract_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoIn"}}},"required":true},"responses":{"201":{"description":"Contract is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Conflict, when entity has been already created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/green-light/{id}/action/retry":{"post":{"tags":["Green Light Client Contract"],"summary":"Обработчик кнопки Повторить","description":"Retry a contract, button \"Повторить\"","operationId":"retryContract_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"201":{"description":"Contract is retried","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/expertise":{"post":{"tags":["Expertise Client Contract"],"summary":"Создание заявки","description":"Create a contract","operationId":"createExpertiseContract","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoRequest"}}},"required":true},"responses":{"201":{"description":"Contract is saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Conflict, when entity has been already created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/contract/expertise/{id}/action/retry":{"post":{"tags":["Expertise Client Contract"],"summary":"Обработчик кнопки Повторить","description":"Retry a contract, button \"Повторить\"","operationId":"retryExpertiseContract","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"201":{"description":"Contract is retried","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/balance/{receiver}/{bic}/{accountNum}":{"get":{"tags":["Test integrations"],"operationId":"balanceRequest","parameters":[{"name":"accountNum","in":"path","required":true,"schema":{"type":"string"}},{"name":"receiver","in":"path","required":true,"schema":{"type":"string","enum":["MBANK","CFT"]}},{"name":"bic","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/test/balance/{receiver}/{accountNum}":{"get":{"tags":["Test integrations"],"operationId":"balanceRequest_1","parameters":[{"name":"accountNum","in":"path","required":true,"schema":{"type":"string"}},{"name":"receiver","in":"path","required":true,"schema":{"type":"string","enum":["MBANK","CFT"]}},{"name":"bic","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"servers":[{"url":"/api/v1/sfcs-consulting"}]},"/sfcs_consulting_cc/{parentType}/{parentId}/file":{"get":{"tags":["Permanent file storage for operator"],"summary":"Получить список файлов, прикрепленных к родительскому объекту","description":"Get list of files by parent id","operationId":"getFilesByParentIdOperator","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","monitoring-report","gd"]}},{"name":"parentId","in":"path","description":"Идентификатор родительского объекта","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"File list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}},"403":{"description":"Access to the file is denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/{parentType}/{parentId}/file/{id}":{"get":{"tags":["Permanent file storage for operator"],"summary":"Скачать файл по id","description":"Download file by id","operationId":"getFileByIdOperator","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","monitoring-report","gd"]}},{"name":"parentId","in":"path","description":"Идентификатор родительского объекта","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"id","in":"path","description":"Идентификатор файла","required":true,"schema":{"maximum":9223372036854776000,"minimum":1,"maxLength":65535,"type":"string"}}],"responses":{"200":{"description":"File content","content":{"application/octet-stream":{"schema":{"maxLength":2147483646,"type":"string"}}}},"403":{"description":"Access to the file is denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Permanent file storage for operator"],"summary":"Удалить файл","description":"Delete the file by its internal id","operationId":"deleteFileByIdOperator","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","monitoring-report","gd"]}},{"name":"parentId","in":"path","description":"Идентификатор родительского объекта","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"id","in":"path","description":"Внутренний идентификатор файла","required":true,"schema":{"maximum":9223372036854776000,"minimum":1,"type":"integer"}}],"responses":{"204":{"description":"File is deleted"},"403":{"description":"Access to the file is denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/{parentType}/{id}/export/pdf":{"get":{"tags":["Export PDF"],"summary":"ВК АПИ. Получить печатную форму заявки","description":"Получить печатную форму заявки","operationId":"getPdfOperator","parameters":[{"name":"id","in":"path","description":"id заявки","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"parentType","in":"path","description":"Тип объекта","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","sde"]}}],"responses":{"200":{"description":"Печатная форма заявки","content":{"application/pdf":{"schema":{"maxLength":2147483646,"type":"string"}}}},"404":{"description":"Parent is not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/monitoring/reports/{contractId}":{"get":{"tags":["Currency Controller Monitoring report"],"summary":"Получить список отчетов по идентификатору заявки","description":"Get monitoring report list","operationId":"getMonitoringReportList","parameters":[{"name":"contractId","in":"path","description":"Идентификатор заявки","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"Monitoring reports is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/monitoring/report/{id}":{"get":{"tags":["Currency Controller Monitoring report"],"summary":"Получить отчет о нарушениях ВЗ по id","description":"Get monitoring report","operationId":"getMonitoringReport","parameters":[{"name":"id","in":"path","description":"Идентификатор уведомления о нарушении ВЗ","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Monitoring report is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonitoringReportResponseDto"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Monitoring report with id not found or you do not have permissions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/message-history/{parentType}/{parentId}":{"get":{"tags":["Message history"],"summary":"Получение истории переписки для сотрудника","description":"Get message history for operator","operationId":"getOperatorMessageHistory","parameters":[{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","gd"]}},{"name":"parentId","in":"path","description":"Идентификатор родительского объекта","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Message history is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/gd/{id}":{"get":{"tags":["GoodsDeclaration Operator"],"summary":"Получение ДТ","description":"Get GD","operationId":"getOperatorGd","parameters":[{"name":"id","in":"path","description":"Идентификатор ДТ","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"GD retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdOperatorDtoOut"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/feed/search":{"get":{"tags":["Currency Controller Feed"],"summary":"Получение списка заявок для ленты ВК","description":"Retrieve feed for currency controller by status, employee, type","operationId":"getFeedOperator","parameters":[{"name":"status","in":"query","description":"Список требуемых статусов","required":false,"schema":{"type":"array","items":{"type":"string","enum":["CREATED","DELETED","DONE","DRAFT","INFO_NEEDED","INFO_RECEIVED","IN_WORK","REJECTED","REVOKED","SENT","SIGNING","DISABLED","TRANSFER_WAIT","PARTLY_DONE","PAYMENT_WAIT","PAID","NOT_REQUIRED","DONE_BY_CLIENT"]}}},{"name":"employee","in":"query","description":"Список валютных контроллеров","required":false,"schema":{"type":"array","items":{"maximum":9223372036854776000,"minimum":1}}},{"name":"type","in":"query","description":"Список типов","required":false,"schema":{"type":"array","items":{"type":"string","enum":["PRE_CHECK_CONTRACT","MONITORING_OF_VIOLATION","REGISTRATION_CONTRACT","CHECK_FOREIGN_COUNTERPARTY","MONITORING_NOTIFICATION","GREEN_LIGHT","CURRENCY_TRANSACTION_INFO","SUPPORTING_DOCUMENT_SERVICE","SUPPORTING_DOCUMENT","GOODS_DECLARATION","SOS_VED"]}}},{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"Objects are found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/feed/search/news":{"get":{"tags":["Currency Controller Feed"],"summary":"Получение списка новостей для ленты ВК","description":"Retrieve news feed for currency controller by status, employee, type","operationId":"getFeedNewsOperator","parameters":[{"name":"status","in":"query","description":"Список требуемых статусов","required":false,"schema":{"type":"array","items":{"type":"string","enum":["CREATED","SENT","REVOKED","DELETED"]}}},{"name":"employee","in":"query","description":"Список валютных контроллеров","required":false,"schema":{"type":"array","items":{"maximum":9223372036854776000,"minimum":1}}},{"name":"type","in":"query","description":"Список типов","required":false,"schema":{"type":"array","items":{"type":"string","enum":["LAW_CHANGES","NEWS"]}}},{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"Objects are found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/employee/current":{"get":{"tags":["Employee"],"summary":"Получение текущего залогиненого ВК","description":"Get current employee, who is logged in","operationId":"getCurrentEmployee","responses":{"200":{"description":"Request successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeDto"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/employee/available":{"get":{"tags":["Employee"],"summary":"Получение списка доступных ВК для назначения на заявку","description":"Get a list employees who can be assigned to CC","operationId":"getEmployeesForAssign","parameters":[{"name":"regionId","in":"query","description":"Идентификатор региона","required":true,"schema":{"maximum":9223372036854776000,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"Request successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeDtoListResponse"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/dictionary":{"get":{"tags":["Dictionary Operator"],"summary":"Получение списка доступных компаний и сотрудников","description":"Get dictionaries (company and employees) by jwtToken for operator","operationId":"getDictionariesOperator","responses":{"200":{"description":"Dictionary is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DictionaryOperatorDto"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/dictionary/message-theme":{"get":{"tags":["Dictionary Operator"],"summary":"Получение списка тем сообщений для модалок в ЛК ВК","description":"Get message themes","operationId":"getMessageThemes","parameters":[{"name":"action","in":"query","description":"Значение из списка, соответствующее нажатой кнопке","required":false,"schema":{"type":"string","enum":["INFO_NEEDED","NOT_REQUIRED","REJECTED"]}}],"responses":{"200":{"description":"List of message themes","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MessageThemeDto"}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/dictionary/contract/{id}/operation_type_code":{"get":{"tags":["Dictionary Operator"],"summary":"Получение списка кодов вида валютной операции","description":"Get operation type codes by contract.","operationId":"getOperationTypeCodesOperator","parameters":[{"name":"id","in":"path","description":"id of contract","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"List of operation type codes","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationTypeKindListDto"}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Contract with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/cti/contract/info/{id}":{"get":{"tags":["Currency Transaction Info for CC: contract info"],"summary":"Получение списка заявок по id СВО.","description":"Retrieve Contract info by CTI id","operationId":"getContractInfoByCti","parameters":[{"name":"id","in":"path","description":"id of cti","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contracts are found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractInfoList"}}}},"404":{"description":"CTI with id not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/{id}":{"get":{"tags":["Currency Controller Contract"],"summary":"Получить заявку по id","description":"Retrieve contract by contractId","operationId":"getContractOperator","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/sos-ved/{id}":{"get":{"tags":["Sos Ved Operator"],"summary":"Получение информации о деталях заявки типа SOS ВЭД по id контракта.","description":"Retrieve SOS Ved contract by contractId","operationId":"getContractSosVedById","parameters":[{"name":"id","in":"path","description":"Идентификатор Контракта Sos Ved","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Sos Ved contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperatorSosVedContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/green-light/{id}":{"get":{"tags":["GreenLight Operator Contract"],"summary":"Получить заявку по id","description":"Retrieve contract by contractId","operationId":"getContractOperator_1","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GreenLightContractDtoOut"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/sfcs_consulting_cc/contract/expertise/{id}":{"get":{"tags":["Expertise Operator Contract"],"summary":"Получить заявку по id","description":"Retrieve contract by contractId","operationId":"getContractOperator_2","parameters":[{"name":"id","in":"path","description":"id of contract to be searched","required":true,"schema":{"maxLength":36,"type":"string"}}],"responses":{"200":{"description":"Contract is found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpertiseContractDtoResponse"}}}}},"security":[{"Authorization":[]}]},"servers":[{"url":"/ui-api-web/smb/ved/sfcs/v1"}]},"/api/v1/sfcs-permission-srv/permission":{"get":{"tags":["Test permission integrations"],"operationId":"testPermission","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientPermissionDto"}}}}}}},"/{parentType}/{parentId}/file":{"get":{"tags":["ClientFileTransferApi"],"summary":"Получить список файлов, прикрепленных к родительскому объекту","description":"Get list of files by parent id","operationId":"getFilesByParentIdClientOld","parameters":[{"name":"parentType","in":"path","description":"Тип объекта, хранящего файл","required":true,"schema":{"maxLength":65535,"type":"string","enum":["contract","cti","monitoring-report"]}},{"name":"parentId","in":"path","description":"Идентификатор родительского объекта","required":true,"schema":{"maxLength":36,"type":"string"}},{"name":"page","in":"query","description":"Индекс страницы","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}},{"name":"size","in":"query","description":"Количество элементов на странице","required":false,"schema":{"maximum":2147483647,"minimum":0,"type":"integer"}}],"responses":{"200":{"description":"File list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Page"}}}},"403":{"description":"Access to the file is denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"deprecated":true,"security":[{"Authorization":[]}]},"servers":[{"url":"/ap
[...]
